Ipelib: ipe::AllAttributes Class Reference

Ipelib

Public Member Functions | Public Attributes | List of all members
ipe::AllAttributes Class Reference
Ipe Attributes

`#include <ipeattributes.h>`

## Public Member Functions
| AllAttributes ()

## Public Attributes
TPathMode | iPathMode
Attribute | iStroke
Attribute | iFill
Attribute | iDashStyle
Attribute | iPen
bool | iFArrow
bool | iRArrow
Attribute | iFArrowShape
Attribute | iRArrowShape
Attribute | iFArrowSize
Attribute | iRArrowSize
Attribute | iSymbolSize
Attribute | iTextSize
THorizontalAlignment | iHorizontalAlignment
TVerticalAlignment | iVerticalAlignment
Attribute | iTextStyle
Attribute | iLabelStyle
TPinned | iPinned
bool | iTransformableText
TSplineType | iSplineType
TTransformations | iTransformations
TLineJoin | iLineJoin
TLineCap | iLineCap
TFillRule | iFillRule
Attribute | iOpacity
Attribute | iStrokeOpacity
Attribute | iTiling
Attribute | iGradient
Attribute | iMarkShape

## Detailed Description

Collection of all object attributes.

## Constructor & Destructor Documentation

## ◆ AllAttributes()

AllAttributes::AllAttributes | ( |  | ) |

Constructor sets default values.

Referenced by ipe::AttributeMap::add().

## Member Data Documentation

## ◆ iPathMode

TPathMode ipe::AllAttributes::iPathMode

Should we stroke and/or fill?

## ◆ iStroke

Attribute ipe::AllAttributes::iStroke

Stroke color.

Referenced by ipe::Latex::addPageNumber(), and ipe::Text::Text().

## ◆ iFill

Attribute ipe::AllAttributes::iFill

Fill color.

## ◆ iDashStyle

Attribute ipe::AllAttributes::iDashStyle

Dash style.

## ◆ iPen

Attribute ipe::AllAttributes::iPen

Pen (that is, line width).

## ◆ iFArrow

bool ipe::AllAttributes::iFArrow

Arrow forward?

## ◆ iRArrow

bool ipe::AllAttributes::iRArrow

Reverse arrow?

## ◆ iFArrowShape

Attribute ipe::AllAttributes::iFArrowShape

Shape of forward arrows.

## ◆ iRArrowShape

Attribute ipe::AllAttributes::iRArrowShape

Shape of reverse arrows.

## ◆ iFArrowSize

Attribute ipe::AllAttributes::iFArrowSize

Forward arrow size.

## ◆ iRArrowSize

Attribute ipe::AllAttributes::iRArrowSize

Reverse arrow size.

## ◆ iSymbolSize

Attribute ipe::AllAttributes::iSymbolSize

Symbol size.

## ◆ iTextSize

Attribute ipe::AllAttributes::iTextSize

Text size. Horizontal alignment of label objects.

Referenced by ipe::Latex::addPageNumber(), and ipe::Text::Text().

## ◆ iHorizontalAlignment

THorizontalAlignment ipe::AllAttributes::iHorizontalAlignment

Referenced by ipe::Latex::addPageNumber(), and ipe::Text::Text().

## ◆ iVerticalAlignment

TVerticalAlignment ipe::AllAttributes::iVerticalAlignment

Vertical alignment of label objects.

Referenced by ipe::Latex::addPageNumber(), and ipe::Text::Text().

## ◆ iTextStyle

Attribute ipe::AllAttributes::iTextStyle

Text style for minipages.

Referenced by ipe::Text::Text().

## ◆ iLabelStyle

Attribute ipe::AllAttributes::iLabelStyle

Text style for labels.

Referenced by ipe::Text::Text().

## ◆ iPinned

TPinned ipe::AllAttributes::iPinned

Pinned status. Should newly created text be transformable?

Referenced by ipe::Object::Object().

## ◆ iTransformableText

bool ipe::AllAttributes::iTransformableText

If this is false, newly created text will only allow translations. Otherwise, the value of iTranslations is used (as for other objects).

Referenced by ipe::Text::Text().

## ◆ iSplineType

TSplineType ipe::AllAttributes::iSplineType

What kind of splines should be created?

## ◆ iTransformations

TTransformations ipe::AllAttributes::iTransformations

Allowed transformations.

Referenced by ipe::Object::Object().

## ◆ iLineJoin

TLineJoin ipe::AllAttributes::iLineJoin

Line join style.

## ◆ iLineCap

TLineCap ipe::AllAttributes::iLineCap

Line cap style.

## ◆ iFillRule

TFillRule ipe::AllAttributes::iFillRule

Shape fill rule.

## ◆ iOpacity

Attribute ipe::AllAttributes::iOpacity

Opacity.

Referenced by ipe::Text::Text().

## ◆ iStrokeOpacity

Attribute ipe::AllAttributes::iStrokeOpacity

Stroke opacity.

## ◆ iTiling

Attribute ipe::AllAttributes::iTiling

Tiling pattern.

## ◆ iGradient

Attribute ipe::AllAttributes::iGradient

Gradient pattern.

## ◆ iMarkShape

Attribute ipe::AllAttributes::iMarkShape

Shape of Mark to create.

The documentation for this class was generated from the following files:

- ipeattributes.h
- ipeattributes.cpp